I am trying to create a small application in C#.Net where by clicking a button, I should be able to select a drawing object in the AutoCAD file to get the object's handle.
I am able to open the Drawing file from the application but unable to figure out how to get the drawing object handle by clicking on it through the application.
3. Begin tweaking the square's properties--stroke width and color, fill, pattern, etc.
So how do you select the object you just drew? All I'm seeing is 'select an area' tools, which of course won't work for adjusting a specific drawing object.
master im new in autocad 2014....i have a problem now when i select line or object it highlight or make a broken line....but when i select the other object or line my previous selected back to normal..i mean i can select only one line if i use single selecting....how to select all object or line with single select continuously, except using hold left click...
When I select an object and pan to make another selection the first object "deselects". The object(s) will stay selected until I pan and as soon as I start to pan the grips go away and the object(s) is deselected.
have to select an object under an artistic media brush object. i try hold down alt key when select the object under the artistic media object but it select the second object
We have a schedule tag for space objects created on our tool palette. When you use the Multiple option, you cannot do a window selection unless only spaces are visiable. If other object types are in the selection set, the program seems to get hung up... no error is produced... it just seems to spin relentlessly. We have to Cnt+Alt+Delete to get out of it. You cannot preselect the spaces and use 'P' for previous selection set, since the last selection set was the first one you selected to place the first shedule tag.
I thought I could create a tool to return the selection set to the select object prompt with the simple line of code, like this - this should work but does not:
(ssget "X" (list (cons 0 "AEC_SPACE")))
it returns the spaces to the prompt, but for some reason they get filtered out.Below is the command line snippet that shows multiple attempts...
Command: _AecScheduleTag Select object to tag: Specify location of tag <Centered>: Select object to tag [Multiple]: m Select objects to tag: (setq ss (ssget "X" (list (cons 0 "AEC_SPACE")))) <Selection set: 12dc> 7 found 7 were filtered out Select objects to tag: !ss <Selection set: 12dc> 7 found 7 were filtered out, 0 total Select objects to tag: !ss <Selection set: 12dc> 7 found 7 were filtered out, 0 total
I'm creating a VB.Net routine which will run the REVCLOUD command. In my application I prompt the user to select a single polyline using:
EntRslt = acDoc.Editor.GetEntity(EntOpts)
Then later I run the REVCLOUD command using:
acDoc.SendStringToExecute("_revcloud Object Poly No ", False, False, True)
Where Poly is the polyline I selected earlier. Of course, the line above doesn't work since "Poly" is interpreted as a string. But I would like to figure out how to pass my VB.Net selected Polyline into the REVCLOUD command.
How I might do this? The REVCLOUD command will not accept the "Previous" selection set so setting the Implied Selectoin does not work. If my Polyline was the Last object in the database I could use the "Last" option, but it isn't.
I have a list of blocks in a datagrid. When i double click a certain record it gets the objectid or handle.
Now i know how too highlight the object. But i don't want to highlight the entity but select it so i can change it's property's in the property pallet.
In the first screen shot you see the code i have. wicht highligts the record but the propperty pallet display no object selected.
But i want it to work like the next picture.
So the question is. When i know an entity's objectid or handle how do i select that entity programticly.
I have a data grid view with all alignments included in the drawing file. If I choose an alignment in data grid view, I have Id of that alignment.
I have a button, and I would like that if i press that button then selects that alignment in the drawing(graphic). I would like that there was only one object selected, and if there are more selected objects before,then un-selected them.
When I select an object to move I am unable to snap to the grips of the object or any other object close or any intersections. I have double and triple checked my osnap settings. Also, If I select a circle to move I am unable to select the center of the circle through additional osnap settings. One last issue, If I select an object and do a copy with base point command, I am unable to select a definitive base point. No grips or intersections show up.
My co-workers are able to do these functions but I am not.
PROBLEM: When I go to select the objects as as a SINGLE OBJECT, each object within the group is selectable -- as if they were not grouped.Shouldn't it be that when I select ANY of the objects within the group ALL OBJECTS in the group get selected, and not just each object?
We have a perenial problem with our old GIS software where files corrupt and drawing objects are lost.
There are few export options available, but export to shape is one of them. This means that I can export a damaged file and then import it into CAD with the layers intact and the tagged numbers (similar to object data or a block attribute in CAD) imported as object data. In order to make a new uncorrupted version for the GIS program.
Is there a way to select objects by object data?
If a file is corrupted, the only real way to repair it at the moment is to go back to the original cad drawing and reimport and then retag every single tagged attribute on what can be thousands of drawing objects, and by then we may no longer have the handdrawn data to even do that.
The next workaround is if I creat new dwgs from the cad drawing, Each one containing the objects with the same object data, and each saved with a file name that matches that object data, and then reimport into the GIS. (it can use the filename as a tag). This creates a new GIS file with the surviving information that should not lose any more data and we may be able to patch the 'holes' afterwards.
The problem is selecting all the polylines in the cad drawing that have that same tagged number in the object data. Select similar just goes on object type and layer. This would be easier if I could select by object data and get everything with the same tag in one go.
A way to batch create the new dwgs from that selected data would be nice too.
Im trying out the "Demo"version and now find some anomaly.
If i use in ACAD2007: With "PSELECT" and then "P" or "L" i could select the last marked Object/Selectionset. I had just to select the Object with the mouse. Now in ACAD2010, with this routine i can only select objects which i have selected in a command (before or within).
For example: Draw a few circles and lines. Then copy 3 of them. ESC. And select another few. ESC and then use PSELECT P and it marks the three which i selected to copy and not these i've selected with mouse!
The same in Lisp with: (entget(entlast)) . You aren't able to select those object which where only marked by mouse.I know; mostly you use a command with some objects and then use another with the same objects, and it works. But when you klick ESC or even in Script or Lisp you got problems, and its not very "proper" at all. Is this the new handling with the selection set: feature odr big?
As I move my cross hairs over an object in a drawing it wants to select or highlight the object without clicking on it. On detailed models/drawings it takes alot of time and is almost impossible to use. Is there a way to turn or toggle this function off?
When dealing with blocks, in this instance. If I select the entire object, I get one type of color in the layer pull down. If I select a portion of the object, I get a different color-what is going on? Is there a switch or something that I am missing?
how I can use VBA to select objects in the drawing, so that the grips are enabled/shown. The editing of the object will be done manually in AutoCAD. All I want for VBA to do, is to select them.
I am using Acad 2008. When zoomed very close, I can not select/highlight an object such as a line by clicking on its apparent location, instead, I have to try clicking somewhere around it so to select it. The showing line seems an shadow of the real line which is "hiding" somewhere. This usually happens after I played with a drawing (open/close/changing viewing directions etc) for a long time and the drawing seems "degenerated" somewhat. The only way I can correct this is to select all objects in the drawing and copy/paste to a brand new drawing started with a blank template. I guess a system variable governs this effect, but I do not know which one.
I have polylines that when selected, under properties it lists Object Data for the selected polyline. There are like 10 categories. This drawing is actually creeks in a county and they have object data connected to them where some are "a" some are "b" classification and I want to select all of the "a" polylines and put on a diffrent layer.
Mainly, I would like to find it the "Multiple Object Select Ribbon" in the CUI editor, and change its "CONTEXTUAL DISPLAY TYPE" from FULL to MERGED, if this is possible.
I've found several people that had this problem through searching, but none of the fixes worked for me. I'm unable to use the quick select feature as it does not list anything other than "multiple". I've tried different files, different selections, repaired the installation, complete reinstall, updated with SP1 and hotfix 3 to no avail. I also have Autocad 2007 with SP 1 installed, as well as Autocad Architecture 2014, if that makes a difference.